////////////////////////////////////////////////////////////////
//                                                            //
// "Pibros", Fun Slope Glider (flying wing)                   //
// 							      //
// This has to be THE easiest model to draw ...               //
//                                                            //
// Karel Lootens, May 1999, Motorized by Rainer Stein         //
//                                                            //
// You should have a transmitter elevon setting enabled       //
//							      //
////////////////////////////////////////////////////////////////

// It only has two flaps, and I haven't figured out how to mix
// three channels on two flaps... Not even sure if this is going to work

CHANNEL 1 ""
CHANNEL 2 "Left aileron#Move the stick to the right."
CHANNEL 3 "Elevator#Move the stick to the pitch up position."
CHANNEL 4 "Rudder#Move the stick to the right."
CHANNEL 5 "Right aileron#Move the stick to the right."
CHANNEL 6 ""
CHANNEL 7 ""
CHANNEL 8 ""

//USE_SOUND  Me109.WAV    AIRPLANE  0   5200      37000     0.97       1           500       0

//        Soundfile    Typ           MinFreq   MaxFreq   MinVolume  MaxVolume   MaxHear
 USE_SOUND  MotorPibros.WAV  AIRPLANE  0    6000     40000     0.98       1           550       0

OBJECT BODY
0
0 0 0
0 0 0
0 0


SCALE 2.0 // Hallo Klaus hier kannst du das modell vergrern


TEXTURE ON
TRIANGLES

// TOP RIGHT WING (Give It a bit of shape, just for the looks)

CULL ON


// front face

 0  0  0.16 0    0.01
10  0 -0.23 0.40 0
 0 10  0    0    0.017

// back face

0 180 0 0 0.017
10 190 -0.23 0.40 0
0 190 -0.23 0 0.004

// TOP LEFT WING

// front face

10 0 0.16 0 0.01
0 10 0 0 0.017
10 10 -0.23 -0.40 0

// back face

10 0 0 0 0.017
0 10 -0.23 0 0.004
10 10 -0.23 -0.40 0

// BOTTOM WING (Pretty flat, isn't it??)

0 10 0.17 0 0
0 20 -0.23 -0.40 0
10 10 -0.23 0.40 0

// RIGHT LEADING EDGE (Neat huh !)

10 0 0.17 0 0
10 20 -0.23 0.40 0
20 0 0.16 0 0.01

// LEFT LEADING EDGE

20 0 0.17 0 0
10 20 0.16 0 0.01
20 20 -0.23 -0.40 0

// TRAILING EDGE

10 10 -0.23 0 0.004
10 20 -0.23 0.40 0
20 10 -0.23 -0.40 0


QUADS
CULL OFF

// FIN

// LEADING EDGE (otherwise it's just a plane, now it has thickness!!!)

20 0 -0.10 0.002 0.004
30 0 -0.10 -0.002 0.004
30 10 -0.16 -0.002 0.1
20 10 -0.16 0.002 0.1

// TOP

20 10 -0.16 0.002 0.1
30 10 -0.16 -0.002 0.1
30 20 -0.25 -0.002 0.1
20 20 -0.25 0.002 0.1

// TRAILING EDGE

30 0 -0.25 0.000 0.1
40 0 -0.25 -0.002 0.1
40 10 -0.23 -0.002 0
30 10 -0.23 0.002 0

// RIGHT SIDE

30 10 -0.10 0.002 0.004
40 10 -0.16 0.002 0.1
40 20 -0.25 0.002 0.1
30 20 -0.23 0.002 0

// LEFT SIDE

40 0 -0.10 -0.002 0.004
50 0 -0.23 -0.002 0
50 10 -0.25 -0.002 0.1
40 10 -0.16 -0.002 0.1

TEXTURE OFF

//----------  Shadow  ---------------------------------------------------------

SHADOW
COLOR 0.3 0.3 0.3 1 0
TRIANGLES

//WING

0.17 0 0
-0.23 0.40 0
-0.23 -0.40 0

QUADS

//FIN

-0.10 0.002 0.004
-0.16 0.002 0.1
-0.25 0.002 0.1
-0.23 0.002 0


OBJECT CHANNEL 2               // LEFT ELEVON
 0 1 0
 -0.23 +0.20 0
 45 0

TEXTURE ON

// TOP

 115 39  0    0     0.004
 132 39 -0.06 0.005 0
 132  0 -0.04 0.20  0
 115  0  0    0.20  0

// BOTTOM

 115 39  0    0     0
 115  0  0    0.20  0
 132  0 -0.04 0.20  0
 132 39 -0.06 0.005 0

TRIANGLES


// FRONT

 115 39 0 0    0.004
 115  0 0 0.20 0
 132  0 0 0    0

// SIDE

 115 39  0    0     0.004
 115  0  0    0     0
 132  0 -0.06 0.005 0


OBJECT CHANNEL 5               // RIGHT ELEVON
 0 -1 0
 -0.23 -0.20 0
 45 0

TEXTURE ON

// TOP
QUADS

 115 39  0    -0     0.004
 132 39 -0.06 -0.005 0
 132  0 -0.04 -0.20  0
 115  0  0    -0.20  0

// BOTTOM

 115 39  0    0     0
 115  0  0    -0.20  0
 132  0 -0.04 -0.20  0
 132 39 -0.06 -0.005 0

TRIANGLES


// FRONT

 115 39 0  0    0.004
 115  0 0 -0.20 0
 132  0 0  0    0

// SIDE

 115 39  0    0     0.004
 115  0  0    0     0
 132  0  0.06 0.005 0



OBJECT CHANNEL 3               // LEFT ELEVON
 0 1 0
 -0.23 0.20 0
 45 0

TEXTURE ON

QUADS

// TOP

 115 39  0     0     0.004
 115  6  0    -0.40  0
 132  6 -0.06 -0.40  0
 132 39 -0.06  0.00  0

// BOTTOM

 115 39  0     0     0
 132 39 -0.06  0     0
 132  6 -0.06 -0.40  0
 115  6  0    -0.40  0

SCALE 0.6

OBJECT PROPELLER
  0.13                         // Radius
  1     0  0                   // Drehachse
  0.57  0  0.03                // Position relativ zum BODY
  1                            // Sichtbar bei hohen RPM
  0                            // Kein Shading
  BLURR_COLOR   0.2 0.2 0.2  0.3 0
  OUTLINE_COLOR 0.2 0.2 0.2  0   0
  TEXTURE OFF
  COLOR 0.2 0.2 0.2 1 0
  0.04 -0.01 0
  0.15 -0.015 0
  0.15 0.015 0.01
  0.04 0.01 0.01
  0.20 -0.005 0
  0.15 -0.015 0
  0.15 0.015 0.01
  0.20 0.005 0.01
  -0.04 -0.01 0.01
  -0.15 -0.015 0.01
  -0.15 0.015 0
  -0.04 0.01 0
  -0.20 -0.005 0.01
  -0.15 -0.015 0.01
  -0.15 0.015 0
  -0.20 0.005 0

  COLOR 0.95 0.15 0.3 1 0

SCALE 0.3

  0.005 0.005 0.07
  -0.005 0.005 0.07
  -0.005 -0.005 0.07
  0.005 -0.005 0.07
  0.05 0.02 0
  0.05 -0.02 0
  0.005 -0.002 0.07
  0.005 0.002 0.07
  -0.05 0.02 0
  -0.05 -0.02 0
  -0.005 -0.002 0.07
  -0.005 0.002 0.07
  0.02 0.05 0
  -0.02 0.05 0
  -0.002 0.005 0.07
  0.002 0.005 0.07
  0.02 -0.05 0
  -0.02 -0.05 0
  -0.002 -0.005 0.07
  0.002 -0.005 0.07
  0.05 0.02 0
  0.02 0.05 0
  0.002 0.005 0.07
  0.005 0.002 0.07
  -0.05 0.02 0
  -0.02 0.05 0
  -0.002 0.005 0.07
  -0.005 0.002 0.07
  -0.05 -0.02 0
  -0.02 -0.05 0
  -0.002 -0.005 0.07
  -0.005 -0.002 0.07
  0.05 -0.02 0
  0.02 -0.05 0
  0.002 -0.005 0.07
  0.005 -0.002 0.07



END
